Summary:    Daemon that can spin idle disks down
Name:       spindown
Version:    0.4.0
Release:    3%{?dist}
License:    GPLv3+
Group:      System Environment/Daemons
Url:        http://code.google.com/p/spindown
Source0:    http://spindown.googlecode.com/files/spindown-%{version}.tar.gz
Source1:    spindown-fedora-initscript.sh

Patch0: spindown-0.4.0-Makefile.patch
Patch1: spindown-0.4.0-iniparser.patch

Requires(post): chkconfig
Requires(preun): chkconfig
Requires(preun): initscripts

BuildRequires: iniparser-devel

%description
Spindown is a daemon that can spin idle disks down and thus save energy and
improve disk lifetime. It periodically checks for read or written blocks. When
no blocks are read or written the disk is idle. When a disk stays idle long
enough, spindown uses custom command like sg_start or hdparm to spin it down.
It also works with USB disks and hot-swappable disks because it doesn't watch
the device name (hda, sdb, ...), but the device ID. This means that it doesn't
matter if the disk is swapped while the daemon is running.

%prep
%setup -q
rm -rf src/ininiparser3.0b
cp -pf %{SOURCE1} spindown
%patch0 -p1
%patch1 -p1

%build
make %{?_smp_mflags} OPT="$RPM_OPT_FLAGS"

%install
make DESTDIR="$RPM_BUILD_ROOT" install

%post
/sbin/chkconfig --add %{name} 

%preun
if [ "$1" = 0 ]; then
        /sbin/service %{name} stop
        /sbin/chkconfig --del %{name}
fi

%files
%defattr(-,root,root,-)
%doc COPYING CHANGELOG README
%{_initddir}/spindown
%{_sbindir}/spindownd
%config(noreplace) %{_sysconfdir}/spindown.conf

%changelog
* Fri May  6 2011 Martin Cermak <mcermak@redhat.com> 0.4.0-3
- Initscript changed according to comment #5 in bz700571

* Wed May  4 2011 Martin Cermak <mcermak@redhat.com> 0.4.0-2
- Multiple changes described in the comment #3 in bz700571

* Thu Apr 28 2011 Martin Cermak <mcermak@redhat.com> 0.4.0-1
- Packaged for Fedora 


